'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgWifi = function SvgWifi(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Wifi_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M42.136 63.813a3.062 3.062 0 0 1 .37 3.839 3.1 3.1 0 0 1-.965.918 2.98 2.98 0 0 1-2.56.252 3.05 3.05 0 0 1-1.117-.713 3.055 3.055 0 0 1-.648-3.321c.231-.56.62-1.036 1.117-1.366a3.15 3.15 0 0 1 1.677-.508c.796 0 1.56.323 2.126.899m-2.121-14.808c-4.93-.007-9.718 1.688-13.595 4.814l-.198.157.99 1.245.187-.158c3.59-2.904 8.026-4.484 12.596-4.484s9.007 1.58 12.596 4.484l.193.158.989-1.245-.198-.157c-3.864-3.127-8.64-4.832-13.56-4.84zm0-19.002c-9.516-.018-18.714 3.51-25.889 9.927l-.188.173 1.058 1.193.178-.162c6.891-6.148 15.713-9.533 24.84-9.533 9.13 0 17.95 3.386 24.841 9.533l.178.162 1.059-1.193-.188-.173c-7.173-6.428-16.374-9.965-25.894-9.953zm37.812-4.063C67.5 16.302 54.039 10.974 40.084 11h-.148c-13.95-.038-27.41 5.272-37.748 14.89L2 26.061l1.073 1.163.183-.168C13.344 17.74 26.432 12.585 40 12.585s26.656 5.155 36.744 14.472l.183.168L78 26.062z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Wifi_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgWifi;
